org.gradle.language.base.sources

## Class BaseLanguageSourceSet

- java.lang.Object
- - org.gradle.api.internal.AbstractBuildableModelElement
  - - org.gradle.language.base.sources.BaseLanguageSourceSet

- All Implemented Interfaces:
    Buildable, BuildableModelElement, Named, org.gradle.language.base.internal.LanguageSourceSetInternal, LanguageSourceSet

      public abstract class BaseLanguageSourceSet
      extends org.gradle.api.internal.AbstractBuildableModelElement
      implements org.gradle.language.base.internal.LanguageSourceSetInternal

  Base class for custom language sourceset implementations. A custom implementation of `LanguageSourceSet` must extend this type.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.gradle.api.internal.file.FileResolver` | `fileResolver`

    - ### Fields inherited from interface org.gradle.language.base.internal.LanguageSourceSetInternal

      `PUBLIC_MODEL_TYPE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `BaseLanguageSourceSet()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `builtBy(Object... tasks)` Adds a task that is required for the construction of this element.
    `static <T extends LanguageSourceSet> T` | `create(Class<? extends LanguageSourceSet> publicType, Class<T> type, String name, String parentName, org.gradle.api.internal.file.FileResolver fileResolver)`
    `void` | `generatedBy(Task generatorTask)`
    `String` | `getDisplayName()`
    `Task` | `getGeneratorTask()`
    `boolean` | `getMayHaveSources()`
    `String` | `getName()` The object's name.
    `String` | `getParentName()`
    `String` | `getProjectScopedName()`
    `SourceDirectorySet` | `getSource()` The source files.
    `protected String` | `getTypeName()`
    `String` | `toString()`

    - ### Methods inherited from class org.gradle.api.internal.AbstractBuildableModelElement

      `getBuildDependencies, getBuildTask, hasBuildDependencies, setBuildTask`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.gradle.api.BuildableModelElement

      `getBuildTask, hasBuildDependencies, setBuildTask`

    - ### Methods inherited from interface org.gradle.api.Buildable

      `getBuildDependencies`

- - ### Field Detail

    - #### fileResolver

          protected org.gradle.api.internal.file.FileResolver fileResolver

  - ### Constructor Detail

    - #### BaseLanguageSourceSet

          protected BaseLanguageSourceSet()

  - ### Method Detail

    - #### getName

          public String getName()

      Description copied from interface: `Named`
      The object's name.

      Must be constant for the life of the object.

      Specified by:
        `getName` in interface `Named`
      Returns:
        The name. Never null.

    - #### getParentName

          public String getParentName()

      Specified by:
        `getParentName` in interface `LanguageSourceSet`

    - #### getProjectScopedName

          public String getProjectScopedName()

      Specified by:
        `getProjectScopedName` in interface `org.gradle.language.base.internal.LanguageSourceSetInternal`

    - #### getDisplayName

          public String getDisplayName()

      Specified by:
        `getDisplayName` in interface `LanguageSourceSet`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getTypeName

          protected String getTypeName()

    - #### builtBy

          public void builtBy(Object... tasks)

      Description copied from interface: `BuildableModelElement`
      Adds a task that is required for the construction of this element. A task added this way is then added as a dependency of the associated lifecycle task.
      Specified by:
        `builtBy` in interface `BuildableModelElement`
      Overrides:
        `builtBy` in class `org.gradle.api.internal.AbstractBuildableModelElement`

    - #### generatedBy

          public void generatedBy(Task generatorTask)

      Specified by:
        `generatedBy` in interface `LanguageSourceSet`

    - #### getGeneratorTask

          public Task getGeneratorTask()

      Specified by:
        `getGeneratorTask` in interface `org.gradle.language.base.internal.LanguageSourceSetInternal`

    - #### getMayHaveSources

          public boolean getMayHaveSources()

      Specified by:
        `getMayHaveSources` in interface `org.gradle.language.base.internal.LanguageSourceSetInternal`

    - #### getSource

          public SourceDirectorySet getSource()

      Description copied from interface: `LanguageSourceSet`
      The source files.
      Specified by:
        `getSource` in interface `LanguageSourceSet`

    - #### create

          public static <T extends LanguageSourceSet> T create(Class<? extends LanguageSourceSet> publicType,
                                               Class<T> type,
                                               String name,
                                               String parentName,
                                               org.gradle.api.internal.file.FileResolver fileResolver)